> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--workflows/types/inputs/update-workflow-policy-input.md).

# updateWorkflowPolicyInput

Input for updating an existing workflow.

### Examples

```graphql
input UpdateWorkflowPolicyInput {
  id: String!
  name: String
  description: String
  enabled: Boolean
  pipelineSettings: PipelineSettingsInput
  isDefault: Boolean
  monitorAllNewlyCreatedRepositories: Float
  monitorRepositories: MonitorRepositories
}
```

### Fields

| Field                                                                                                                               | Description                                                                                  | Supported fields                                                                                |
| ----------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| id `String!`                                                                                                                        | Id of the workflow to update                                                                 |                                                                                                 |
| name `String`                                                                                                                       | Name of the workflow                                                                         |                                                                                                 |
| description `String`                                                                                                                | Description of the workflow                                                                  |                                                                                                 |
| enabled `Boolean`                                                                                                                   | Enabled for evaluation                                                                       |                                                                                                 |
| pipelineSettings [`PipelineSettingsInput`](/api-documentation/api-reference/api--workflows/types/inputs/pipeline-settings-input.md) | settings for pipeline                                                                        | apps [`[AppInput!]`](/api-documentation/api-reference/api--workflows/types/inputs/app-input.md) |
| isDefault `Boolean`                                                                                                                 | If the workflow is a default workflow                                                        |                                                                                                 |
| monitorAllNewlyCreatedRepositories `Float`                                                                                          | If this workflow should trigger for all newly created repos starting from the time it is set |                                                                                                 |
| monitorRepositories [`MonitorRepositories`](/api-documentation/api-reference/api--workflows/types/enums/monitor-repositories.md)    | If all repos are should be added or removed                                                  |                                                                                                 |

### References

#### Mutations using this object:

* [<\~> updateWorkflow.input](/api-documentation/api-reference/api--workflows/mutations/update-workflow.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--workflows/types/inputs/update-workflow-policy-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
